Skip to navigation

[BETA] Evaluate a single feature flag against an Unleash context in an environment.

View as Markdown

[BETA] This API is in beta state, which means it may change or be removed in the future.

Use the provided context and environment to evaluate a single feature flag on this Unleash instance. The project is resolved from the flag name. Returns what the flag evaluates to, together with the input parameters that were provided.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

featureNamestringRequired

Request

playgroundFeatureRequestSchema
environmentstringRequired
The environment to evaluate the feature flag in.
contextobjectRequired
The Unleash context as modeled in client SDKs

Response

playgroundFeatureResponseSchema
inputobject
The given input used to evaluate the feature.
featureobject
The evaluated feature.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error